@charset "UTF-8";
/*@import "/front/resources/fonts/Montserrat/import.css";
::-webkit-scrollbar-track{box-shadow:inset 0 0 1px rgba(0,0,0,.2);-webkit-box-shadow:inset 0 0 1px rgba(0,0,0,.2);background-color:#fff}
::-webkit-scrollbar{width:6px;background-color:#fff}
::-webkit-scrollbar-thumb{border-radius:4px;background-color:hsla(0,0%,62%,.6)}
::-webkit-scrollbar-thumb:hover{background-color:hsla(0,0%,62%,.9)}
*/
:root {
	--color-main:#0177c8;
	--color-main-light:#38a9f7;
	--color-main-dark:#0380d6;
	
	--color-bg-000:#374b65;
	--color-bg-100:#d9f1fd;
	--color-bg-200:#d9f1fd;
	
	--gap:1rem;
	--gap-inv:-1rem;
	
	--col-1-1:90rem;
	--col-3-4:67.5rem;
	--col-2-3:60rem;
	--col-1-2:45rem;
	--col-1-3:30rem;
	--col-1-4:22.5rem;
	
	--width-page:var(--col-1-1);
	
	--width-nav:3.5rem;
	
	--font-color-scnd:#3d3d3d;
}
html {
    font-family:"Microsoft YaHei","Helvetica Neue","Helvetica","STHeiTi",sans-serif;
	font-size:16px;
	display:block;
	position: relative;
	width:100%;
	min-height: 100vh;
	margin:0px auto;
    line-height:  1.15;
    text-rendering: optimizeLegibility;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	-webkit-text-size-adjust: 100%;
	-ms-text-size-adjust: 100%;
}
body
{
    background-color:var(--color-bg-000);
    font-size:  .875rem;
    font-weight:  400;
	max-width: 100%;
	overflow: hidden;
	min-height: 100vh;
	position: relative;
	display:block;
	padding:0;
	margin:0;
	color: #333;
	
	display:flex;
	flex-direction: column;
	
}
body::before {
	display:block;
	position: fixed;
	width:200%;
	height:200%;
	top:-100%;
	left:-50%;
	content:"";
	background: radial-gradient(circle, rgba(55,75,101,1) 0%, rgba(27,30,38,1) 100%);
	z-index: 0;
}
a *, button * {
	pointer-events: none;
	user-select:none;
}
a {
    color: inherit;
    cursor: pointer;
}
div {box-sizing:border-box;}
img {margin:0px auto; display: block; vertical-align: middle; padding: 0px;}
main {
	margin:0 auto;
	padding:0;
	display: block;
}
section {
	display:block;
	margin: 0 auto;
}
#appHolder {
	max-width: 100%;
    width: 100%;
    max-height: 100%;
    height: 100%;
    flex-grow: 1;
    flex-shrink: 0;
    margin: auto;
    overflow: hidden;
    position: relative;
}
#appHolder > nav {
	width:var(--width-nav);
	height: 100%;
	position: absolute;
	top:0;
	left:0;
	background-color:#11161c;
	box-shadow:0 0 1px rgb(255 255 255 / 50%);
	z-index: 2;
}
#appHolder > main {
	top:0;
	right:0;
	bottom:0;
	height: 100%;
	min-height: 100%;
	left:var(--width-nav);
	position: absolute;
	z-index: 1;
	display:flex;
	flex-direction: column;
	overflow: auto;
}
#gameMenuHolder {
    width: 24rem;
    text-align: center;
}
.gameMenuTitle {
	font-size: 2rem;
    font-weight: 900;
    color: #fff;
}
#gameMenuHolder.hidden {
	display:none;
}
#gameMenuHolder:not(.hidden) ~ * {
	display:none;
}
#gameMenuHolder ul {
	display:block;
	list-style: none;
	padding: 0;
	margin:0;
}
.gameHolder {
	display:flex;
	flex-direction: row;
	margin:auto;
}
.gameboard {
	border: 1px solid rgb(78 126 235 / 15%);
    width: 45rem;
    height: 24rem;
    flex-grow: 0;
    border-radius: .125rem;
    flex-shrink: 0;
    max-width: none;
    max-height: none;
    box-sizing: content-box;
    box-shadow: inset 0 0 8rem rgb(0 0 0 / 40%);
}
.bg-grid-sml-dark {
	background-image: url('/gamegraphics/common/grid_sml_drk.png');
	background-repeat: repeat;
	background-position: top left;
}

@media only screen and (max-width: 1919.5px) {

}
@media only screen and (max-width: 1135.5px) {
	
}
@media only screen and (max-width: 775.5px) {
	
}
@media only screen and (max-width: 479.5px) {
	
}
